
=encoding utf8

=head1 名前

virt-cat - Display a file in a virtual machine

=head1 SYNOPSIS

 virt-cat [--options] domname file

 virt-cat [--options] disk.img [disk.img ...] file

=head1 DESCRIPTION

C<virt-cat> is a command line tool to display the contents of C<file> where
C<file> exists in the named virtual machine (or disk image).

C<virt-cat> can be used to quickly view a single file.  To edit a file, use
C<virt-edit>.  For more complex cases you should look at the L<guestfish(1)>
tool.

=head1 EXAMPLES

Display C</etc/fstab> file from inside the libvirt VM called C<mydomain>:

 virt-cat mydomain /etc/fstab

List syslog messages from a VM:

 virt-cat mydomain /var/log/messages | tail

Find out what DHCP IP address a VM acquired:

 virt-cat mydomain /var/log/messages | grep 'dhclient: bound to' | tail

Find out what packages were recently installed:

 virt-cat mydomain /var/log/yum.log | tail

Find out who is logged on inside a virtual machine:

 virt-cat mydomain /var/run/utmp > /tmp/utmp
 who /tmp/utmp

or who was logged on:

 virt-cat mydomain /var/log/wtmp > /tmp/wtmp
 last -f /tmp/wtmp

=head1 OPTIONS

=over 4

=item B<--help>

Display brief help.

=item B<--version>

Display version number and exit.

=item B<--connect URI> | B<-c URI>

If using libvirt, connect to the given I<URI>.  If omitted, then we connect
to the default libvirt hypervisor.

If you specify guest block devices directly, then libvirt is not used at
all.

=back

=head1 SHELL QUOTING

Libvirt guest names can contain arbitrary characters, some of which have
meaning to the shell such as C<#> and space.  You may need to quote or
escape these characters on the command line.  See the shell manual page
L<sh(1)> for details.

=head1 SEE ALSO

L<guestfs(3)>, L<guestfish(1)>, L<virt-edit(1)>, L<Sys::Guestfs(3)>,
L<Sys::Guestfs::Lib(3)>, L<Sys::Virt(3)>, L<http://libguestfs.org/>.

=head1 AUTHOR

Richard W.M. Jones L<http://people.redhat.com/~rjones/>

=head1 COPYRIGHT

Copyright (C) 2009 Red Hat Inc.

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the Free
Software Foundation; either version 2 of the License, or (at your option)
any later version.

This program is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
more details.

You should have received a copy of the GNU General Public License along with
this program; if not, write to the Free Software Foundation, Inc., 675 Mass
Ave, Cambridge, MA 02139, USA.

